Bug 10905 - print job enumeration fails
print job enumeration fails
Status: RESOLVED FIXED
Product: Samba 4.1 and newer
Classification: Unclassified
Component: Printing
unspecified
All All
: P5 normal
: ---
Assigned To: Karolin Seeger
Samba QA Contact
:
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2014-10-29 16:54 UTC by David Disseldorp
Modified: 2014-11-24 20:05 UTC (History)
3 users (show)

See Also:


Attachments
fix cherry-picked for v4-0-test branch (19.85 KB, patch)
2014-10-30 15:03 UTC, David Disseldorp
ddiss: review? (asn)
jra: review+
Details
fix cherry-picked for v4-1-test branch (19.85 KB, patch)
2014-10-30 15:03 UTC, David Disseldorp
ddiss: review? (asn)
jra: review+
Details
fix cherry-picked for v4-2-test branch (19.85 KB, patch)
2014-10-30 15:04 UTC, David Disseldorp
ddiss: review? (asn)
jra: review+
Details
fix cherry-picked for v3-6-stable branch, rebased against TALLOC_ARRAY usage (20.23 KB, patch)
2014-10-30 15:06 UTC, David Disseldorp
no flags Details

Note You need to log in before you can comment on or make changes to this bug.
Description David Disseldorp 2014-10-29 16:54:41 UTC
Currently EnumJobs and GetJobs spoolss request handling is broken, in that they use and return printer back-end allocated job (sysjob) identifiers, rather than those allocated by spoolss and returned on job submission.

This manifests the failure of the print_test_extended smbtorture test, which passes against Windows, but fails against Samba.
Comment 1 David Disseldorp 2014-10-30 15:03:07 UTC
Created attachment 10386 [details]
fix cherry-picked for v4-0-test branch
Comment 2 David Disseldorp 2014-10-30 15:03:53 UTC
Created attachment 10387 [details]
fix cherry-picked for v4-1-test branch
Comment 3 David Disseldorp 2014-10-30 15:04:18 UTC
Created attachment 10388 [details]
fix cherry-picked for v4-2-test branch
Comment 4 David Disseldorp 2014-10-30 15:06:04 UTC
Created attachment 10389 [details]
fix cherry-picked for v3-6-stable branch, rebased against TALLOC_ARRAY usage
Comment 5 Jeremy Allison 2014-11-11 18:24:51 UTC
Comment on attachment 10386 [details]
fix cherry-picked for v4-0-test branch

LGTM.
Comment 6 Jeremy Allison 2014-11-11 18:33:03 UTC
Comment on attachment 10387 [details]
fix cherry-picked for v4-1-test branch

LGTM.
Comment 7 Jeremy Allison 2014-11-11 19:00:51 UTC
Comment on attachment 10388 [details]
fix cherry-picked for v4-2-test branch

LGTM
Comment 8 Jeremy Allison 2014-11-11 19:01:16 UTC
Reassigning to Karolin for inclusion in 4.2.0, 4.1.next, 4.0.next.
Comment 9 Karolin Seeger 2014-11-17 19:41:34 UTC
(In reply to Jeremy Allison from comment #8)
Pushed to autobuild-v4-[0|1|2]-test.
Comment 10 Karolin Seeger 2014-11-18 20:15:08 UTC
Pushed to v4-2-test and v4-1-test.
autobuild-v4-0-test failed, re-trying.
Comment 11 Karolin Seeger 2014-11-24 20:05:36 UTC
(In reply to Karolin Seeger from comment #10)
Pushed to v4-0-test.

Closing out bug report.

Thanks!